// Code generated by mockery v2.53.0. DO NOT EDIT.

package pipeline

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	db "gitlab.com/infor-cloud/martian-cloud/phobos/phobos-api/internal/db"

	models "gitlab.com/infor-cloud/martian-cloud/phobos/phobos-api/internal/models"

	statemachine "gitlab.com/infor-cloud/martian-cloud/phobos/phobos-api/pkg/statemachine"
)

// MockService is an autogenerated mock type for the Service type
type MockService struct {
	mock.Mock
}

// ApprovePipelineNode provides a mock function with given fields: ctx, input
func (_m *MockService) ApprovePipelineNode(ctx context.Context, input *NodeApprovalInput) error {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for ApprovePipelineNode")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *NodeApprovalInput) error); ok {
		r0 = rf(ctx, input)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// CancelPipeline provides a mock function with given fields: ctx, input
func (_m *MockService) CancelPipeline(ctx context.Context, input *CancelPipelineInput) (*models.Pipeline, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for CancelPipeline")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *CancelPipelineInput) (*models.Pipeline, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *CancelPipelineInput) *models.Pipeline); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *CancelPipelineInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// CreatePipeline provides a mock function with given fields: ctx, input
func (_m *MockService) CreatePipeline(ctx context.Context, input *CreatePipelineInput) (*models.Pipeline, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for CreatePipeline")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *CreatePipelineInput) (*models.Pipeline, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *CreatePipelineInput) *models.Pipeline); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *CreatePipelineInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// CreatePipelineJWT provides a mock function with given fields: ctx, input
func (_m *MockService) CreatePipelineJWT(ctx context.Context, input *CreatePipelineJWTInput) ([]byte, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for CreatePipelineJWT")
	}

	var r0 []byte
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *CreatePipelineJWTInput) ([]byte, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *CreatePipelineJWTInput) []byte); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]byte)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *CreatePipelineJWTInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// DeferPipelineNode provides a mock function with given fields: ctx, input
func (_m *MockService) DeferPipelineNode(ctx context.Context, input *DeferPipelineNodeInput) (*models.Pipeline, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for DeferPipelineNode")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *DeferPipelineNodeInput) (*models.Pipeline, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *DeferPipelineNodeInput) *models.Pipeline); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *DeferPipelineNodeInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetPipelineActionOutputs provides a mock function with given fields: ctx, pipelineID, actions
func (_m *MockService) GetPipelineActionOutputs(ctx context.Context, pipelineID string, actions []string) ([]*models.PipelineActionOutput, error) {
	ret := _m.Called(ctx, pipelineID, actions)

	if len(ret) == 0 {
		panic("no return value specified for GetPipelineActionOutputs")
	}

	var r0 []*models.PipelineActionOutput
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, []string) ([]*models.PipelineActionOutput, error)); ok {
		return rf(ctx, pipelineID, actions)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, []string) []*models.PipelineActionOutput); ok {
		r0 = rf(ctx, pipelineID, actions)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*models.PipelineActionOutput)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, []string) error); ok {
		r1 = rf(ctx, pipelineID, actions)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetPipelineApprovals provides a mock function with given fields: ctx, input
func (_m *MockService) GetPipelineApprovals(ctx context.Context, input *GetPipelineApprovalsInput) ([]*models.PipelineApproval, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for GetPipelineApprovals")
	}

	var r0 []*models.PipelineApproval
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *GetPipelineApprovalsInput) ([]*models.PipelineApproval, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *GetPipelineApprovalsInput) []*models.PipelineApproval); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*models.PipelineApproval)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *GetPipelineApprovalsInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetPipelineByID provides a mock function with given fields: ctx, id
func (_m *MockService) GetPipelineByID(ctx context.Context, id string) (*models.Pipeline, error) {
	ret := _m.Called(ctx, id)

	if len(ret) == 0 {
		panic("no return value specified for GetPipelineByID")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) (*models.Pipeline, error)); ok {
		return rf(ctx, id)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) *models.Pipeline); ok {
		r0 = rf(ctx, id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetPipelineByPRN provides a mock function with given fields: ctx, prn
func (_m *MockService) GetPipelineByPRN(ctx context.Context, prn string) (*models.Pipeline, error) {
	ret := _m.Called(ctx, prn)

	if len(ret) == 0 {
		panic("no return value specified for GetPipelineByPRN")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) (*models.Pipeline, error)); ok {
		return rf(ctx, prn)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) *models.Pipeline); ok {
		r0 = rf(ctx, prn)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, prn)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetPipelineByReleaseID provides a mock function with given fields: ctx, releaseID
func (_m *MockService) GetPipelineByReleaseID(ctx context.Context, releaseID string) (*models.Pipeline, error) {
	ret := _m.Called(ctx, releaseID)

	if len(ret) == 0 {
		panic("no return value specified for GetPipelineByReleaseID")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) (*models.Pipeline, error)); ok {
		return rf(ctx, releaseID)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) *models.Pipeline); ok {
		r0 = rf(ctx, releaseID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, releaseID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetPipelineVariables provides a mock function with given fields: ctx, pipelineID
func (_m *MockService) GetPipelineVariables(ctx context.Context, pipelineID string) ([]Variable, error) {
	ret := _m.Called(ctx, pipelineID)

	if len(ret) == 0 {
		panic("no return value specified for GetPipelineVariables")
	}

	var r0 []Variable
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) ([]Variable, error)); ok {
		return rf(ctx, pipelineID)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) []Variable); ok {
		r0 = rf(ctx, pipelineID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]Variable)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, pipelineID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetPipelines provides a mock function with given fields: ctx, input
func (_m *MockService) GetPipelines(ctx context.Context, input *GetPipelinesInput) (*db.PipelinesResult, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for GetPipelines")
	}

	var r0 *db.PipelinesResult
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *GetPipelinesInput) (*db.PipelinesResult, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *GetPipelinesInput) *db.PipelinesResult); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*db.PipelinesResult)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *GetPipelinesInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetPipelinesByIDs provides a mock function with given fields: ctx, idList
func (_m *MockService) GetPipelinesByIDs(ctx context.Context, idList []string) ([]models.Pipeline, error) {
	ret := _m.Called(ctx, idList)

	if len(ret) == 0 {
		panic("no return value specified for GetPipelinesByIDs")
	}

	var r0 []models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, []string) ([]models.Pipeline, error)); ok {
		return rf(ctx, idList)
	}
	if rf, ok := ret.Get(0).(func(context.Context, []string) []models.Pipeline); ok {
		r0 = rf(ctx, idList)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, []string) error); ok {
		r1 = rf(ctx, idList)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// RetryNestedPipeline provides a mock function with given fields: ctx, parentPipelineID, parentNestedPipelineNodePath
func (_m *MockService) RetryNestedPipeline(ctx context.Context, parentPipelineID string, parentNestedPipelineNodePath string) (*models.Pipeline, error) {
	ret := _m.Called(ctx, parentPipelineID, parentNestedPipelineNodePath)

	if len(ret) == 0 {
		panic("no return value specified for RetryNestedPipeline")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string) (*models.Pipeline, error)); ok {
		return rf(ctx, parentPipelineID, parentNestedPipelineNodePath)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, string) *models.Pipeline); ok {
		r0 = rf(ctx, parentPipelineID, parentNestedPipelineNodePath)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, string) error); ok {
		r1 = rf(ctx, parentPipelineID, parentNestedPipelineNodePath)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// RetryPipelineTask provides a mock function with given fields: ctx, pipelineID, taskPath
func (_m *MockService) RetryPipelineTask(ctx context.Context, pipelineID string, taskPath string) (*models.Pipeline, error) {
	ret := _m.Called(ctx, pipelineID, taskPath)

	if len(ret) == 0 {
		panic("no return value specified for RetryPipelineTask")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string) (*models.Pipeline, error)); ok {
		return rf(ctx, pipelineID, taskPath)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, string) *models.Pipeline); ok {
		r0 = rf(ctx, pipelineID, taskPath)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, string) error); ok {
		r1 = rf(ctx, pipelineID, taskPath)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// RevokePipelineNodeApproval provides a mock function with given fields: ctx, input
func (_m *MockService) RevokePipelineNodeApproval(ctx context.Context, input *NodeApprovalInput) error {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for RevokePipelineNodeApproval")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *NodeApprovalInput) error); ok {
		r0 = rf(ctx, input)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// RunPipeline provides a mock function with given fields: ctx, id
func (_m *MockService) RunPipeline(ctx context.Context, id string) (*models.Pipeline, error) {
	ret := _m.Called(ctx, id)

	if len(ret) == 0 {
		panic("no return value specified for RunPipeline")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) (*models.Pipeline, error)); ok {
		return rf(ctx, id)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) *models.Pipeline); ok {
		r0 = rf(ctx, id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// RunPipelineTask provides a mock function with given fields: ctx, pipelineID, taskPath
func (_m *MockService) RunPipelineTask(ctx context.Context, pipelineID string, taskPath string) (*models.Pipeline, error) {
	ret := _m.Called(ctx, pipelineID, taskPath)

	if len(ret) == 0 {
		panic("no return value specified for RunPipelineTask")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string) (*models.Pipeline, error)); ok {
		return rf(ctx, pipelineID, taskPath)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, string) *models.Pipeline); ok {
		r0 = rf(ctx, pipelineID, taskPath)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, string) error); ok {
		r1 = rf(ctx, pipelineID, taskPath)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// SchedulePipelineNode provides a mock function with given fields: ctx, input
func (_m *MockService) SchedulePipelineNode(ctx context.Context, input *SchedulePipelineNodeInput) (*models.Pipeline, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for SchedulePipelineNode")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *SchedulePipelineNodeInput) (*models.Pipeline, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *SchedulePipelineNodeInput) *models.Pipeline); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *SchedulePipelineNodeInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// SetPipelineActionOutputs provides a mock function with given fields: ctx, pipelineID, actionPath, outputs
func (_m *MockService) SetPipelineActionOutputs(ctx context.Context, pipelineID string, actionPath string, outputs []*ActionOutput) error {
	ret := _m.Called(ctx, pipelineID, actionPath, outputs)

	if len(ret) == 0 {
		panic("no return value specified for SetPipelineActionOutputs")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string, []*ActionOutput) error); ok {
		r0 = rf(ctx, pipelineID, actionPath, outputs)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// SetPipelineActionStatus provides a mock function with given fields: ctx, pipelineID, actionPath, status
func (_m *MockService) SetPipelineActionStatus(ctx context.Context, pipelineID string, actionPath string, status statemachine.NodeStatus) error {
	ret := _m.Called(ctx, pipelineID, actionPath, status)

	if len(ret) == 0 {
		panic("no return value specified for SetPipelineActionStatus")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string, statemachine.NodeStatus) error); ok {
		r0 = rf(ctx, pipelineID, actionPath, status)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// SubscribeToPipeline provides a mock function with given fields: ctx, options
func (_m *MockService) SubscribeToPipeline(ctx context.Context, options *SubscribeToPipelineInput) (<-chan *Event, error) {
	ret := _m.Called(ctx, options)

	if len(ret) == 0 {
		panic("no return value specified for SubscribeToPipeline")
	}

	var r0 <-chan *Event
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *SubscribeToPipelineInput) (<-chan *Event, error)); ok {
		return rf(ctx, options)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *SubscribeToPipelineInput) <-chan *Event); ok {
		r0 = rf(ctx, options)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(<-chan *Event)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *SubscribeToPipelineInput) error); ok {
		r1 = rf(ctx, options)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// SubscribeToProjectPipelines provides a mock function with given fields: ctx, options
func (_m *MockService) SubscribeToProjectPipelines(ctx context.Context, options *SubscribeToProjectPipelinesInput) (<-chan *Event, error) {
	ret := _m.Called(ctx, options)

	if len(ret) == 0 {
		panic("no return value specified for SubscribeToProjectPipelines")
	}

	var r0 <-chan *Event
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *SubscribeToProjectPipelinesInput) (<-chan *Event, error)); ok {
		return rf(ctx, options)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *SubscribeToProjectPipelinesInput) <-chan *Event); ok {
		r0 = rf(ctx, options)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(<-chan *Event)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *SubscribeToProjectPipelinesInput) error); ok {
		r1 = rf(ctx, options)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UndeferPipelineNode provides a mock function with given fields: ctx, input
func (_m *MockService) UndeferPipelineNode(ctx context.Context, input *UndeferPipelineNodeInput) (*models.Pipeline, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for UndeferPipelineNode")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *UndeferPipelineNodeInput) (*models.Pipeline, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *UndeferPipelineNodeInput) *models.Pipeline); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *UndeferPipelineNodeInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UnschedulePipelineNode provides a mock function with given fields: ctx, input
func (_m *MockService) UnschedulePipelineNode(ctx context.Context, input *UnschedulePipelineNodeInput) (*models.Pipeline, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for UnschedulePipelineNode")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *UnschedulePipelineNodeInput) (*models.Pipeline, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *UnschedulePipelineNodeInput) *models.Pipeline); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *UnschedulePipelineNodeInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UpdateNestedPipeline provides a mock function with given fields: ctx, input
func (_m *MockService) UpdateNestedPipeline(ctx context.Context, input *UpdateNestedPipelineInput) (*models.Pipeline, error) {
	ret := _m.Called(ctx, input)

	if len(ret) == 0 {
		panic("no return value specified for UpdateNestedPipeline")
	}

	var r0 *models.Pipeline
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *UpdateNestedPipelineInput) (*models.Pipeline, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *UpdateNestedPipelineInput) *models.Pipeline); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Pipeline)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *UpdateNestedPipelineInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// NewMockService creates a new instance of MockService. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockService(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockService {
	mock := &MockService{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
